org.apache.hc.client5.http.ssl

## Enum TLS

- java.lang.Object
- - java.lang.Enum<TLS>
  - - org.apache.hc.client5.http.ssl.TLS

All Implemented Interfaces:
  Serializable, Comparable<TLS>

Deprecated.
Use `TLS`

    @Deprecated
    public enum TLS
    extends Enum<TLS>

Supported `TLS` protocol versions.

Since:
  5.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`V_1_0` Deprecated.
`V_1_1` Deprecated.
`V_1_2` Deprecated.
`V_1_3` Deprecated.

### Field Summary

Fields
`String` `ident` Deprecated.
`org.apache.hc.core5.http.ProtocolVersion` `version` Deprecated.

### Method Summary

Methods
`boolean` `greaterEquals(org.apache.hc.core5.http.ProtocolVersion protocolVersion)` Deprecated.
`boolean` `isComparable(org.apache.hc.core5.http.ProtocolVersion protocolVersion)` Deprecated.
`boolean` `isSame(org.apache.hc.core5.http.ProtocolVersion protocolVersion)` Deprecated.
`boolean` `lessEquals(org.apache.hc.core5.http.ProtocolVersion protocolVersion)` Deprecated.
`static org.apache.hc.core5.http.ProtocolVersion` `parse(String s)` Deprecated.
`static TLS` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static TLS[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V_1_0

    public static final TLS V_1_0

Deprecated.

#### V_1_1

    public static final TLS V_1_1

Deprecated.

#### V_1_2

    public static final TLS V_1_2

Deprecated.

#### V_1_3

    public static final TLS V_1_3

Deprecated.

### Field Detail

#### ident

    public final String ident

Deprecated.

#### version

    public final org.apache.hc.core5.http.ProtocolVersion version

Deprecated.

### Method Detail

#### values

    public static TLS[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TLS c : TLS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TLS valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSame

    public boolean isSame(org.apache.hc.core5.http.ProtocolVersion protocolVersion)

Deprecated.

#### isComparable

    public boolean isComparable(org.apache.hc.core5.http.ProtocolVersion protocolVersion)

Deprecated.

#### greaterEquals

    public boolean greaterEquals(org.apache.hc.core5.http.ProtocolVersion protocolVersion)

Deprecated.

#### lessEquals

    public boolean lessEquals(org.apache.hc.core5.http.ProtocolVersion protocolVersion)

Deprecated.

#### parse

    public static org.apache.hc.core5.http.ProtocolVersion parse(String s)
                                                          throws org.apache.hc.core5.http.ParseException

Deprecated.

Throws:
  `org.apache.hc.core5.http.ParseException`